#include <iostream>

// Define type rational with one method: 
//    insert into output stream
// Add method insert to the struct definition!
// Define appropriate constructors

struct rational {
   int n,d;
   void insert(std::ostream&);
   rational();
   rational(int);  // initializes to an int
   rational(int nval, int dval);  // nval is the numerator, dval is the denominator 
};

int main() {
   rational val, val2, a[5]; // don't forget to initialize to 1/3
   val.insert(std::cout); 
   a[4].insert(std::cout);
   
   // initializing to a provided integer
   rational val3=3;
   rational val4(4);
   
   rational x(1,3);
   std::cout << std::endl;
   x.insert(std::cout);
   std::cout << std::endl;
   
   rational y={2,3};
   y.insert(std::cout);
   
   rational z={3};
   z.insert(std::cout);
   return 0;
}

void rational::insert(std::ostream& str){
   
   str << n << "/" << d;
}

rational::rational() {
   std::cout << "default\n";
   n=0; d=1;
}

rational::rational(int v) {
   std::cout << "one arg\n";
   n=v; d=1;
}

rational::rational(int nval, int dval) {
   std::cout << "two arg\n";
   n=nval;  d=dval;
}